Bug 656709 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Please Update Spec File to use %ghost on files in /var/run and /var/lock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: udisks (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
http://lists.fedoraproject.org/piperm...
:
Depends On:
Blocks: 827166
  Show dependency treegraph
 
Reported: 2010-11-23 18:44 EST by Lennart Poettering
Modified: 2012-05-31 15:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-28 14:10:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennart Poettering 2010-11-23 18:44:43 EST
Your package udisks appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart
Comment 1 David Zeuthen 2011-08-26 10:48:45 EDT
The "fix"

 http://pkgs.fedoraproject.org/gitweb/?p=udisks.git;a=commitdiff;h=eb52d856db9ad19f66673d2241d25f03efafc23f

that Matthias committed was wrong and caused udisks to actually not work at all when /run is a tmpfs (udisks really needs its /var/run/udisks directory and won't mkdir it itself if it's not thtere, for better or worse). I've committed a better fix

 http://pkgs.fedoraproject.org/gitweb/?p=udisks.git;a=commitdiff;h=29c55a9c0174614570ccc636919b2273bac74b0d

that actually works (see bug 733161).
Comment 2 David Zeuthen 2011-08-26 11:56:05 EDT
I just fixed udisks upstream to create its /run directory on demand. This will be in udisks 1.0.4 so I can remove the /etc/tmpfiles.d hack.

Note You need to log in before you can comment on or make changes to this bug.